<?php

class ControllerModuleEtiquetaFreteGratis extends Controller {
    private $error = array();

    public function index() {
        $this->language->load('module/etiqueta_frete_gratis');

        $this->document->setTitle($this->language->get('heading_title_inner'));

        $this->load->model('setting/setting');

        if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {

            $this->model_setting_setting->editSetting('ribbon_free', $this->request->post);

            $this->session->data['success'] = $this->language->get('text_success');

            $this->response->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
        }

        $this->document->addScript('view/javascript/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js');
        $this->document->addStyle('view/javascript/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css');

        $data['heading_title'] = $this->language->get('heading_title_inner');

        $data['text_enabled'] = $this->language->get('text_enabled');
        $data['text_disabled'] = $this->language->get('text_disabled');
        $data['text_none'] = $this->language->get('text_none');
        $data['text_image_manager'] = $this->language->get('text_image_manager');
        $data['text_browse'] = $this->language->get('text_browse');
        $data['text_clear'] = $this->language->get('text_clear');
        $data['text_edit'] = $this->language->get('text_edit');

        $data['entry_status'] = $this->language->get('entry_status');
        $data['entry_custom'] = $this->language->get('entry_custom');
        $data['entry_custom_background'] = $this->language->get('entry_custom_background');
        $data['entry_custom_text'] = $this->language->get('entry_custom_text');
        $data['entry_custom_color'] = $this->language->get('entry_custom_color');

        $data['button_save'] = $this->language->get('button_save');
        $data['button_cancel'] = $this->language->get('button_cancel');

        $data['token'] = $this->session->data['token'];

        if (isset($this->error['warning'])) {
            $data['error_warning'] = $this->error['warning'];
        } else {
            $data['error_warning'] = '';
        }

        $data['breadcrumbs'] = array();

        $data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_home'),
            'href' => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL')
        );

        $data['breadcrumbs'][] = array(
            'text' => $this->language->get('text_module'),
            'href' => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL')
        );

        $data['breadcrumbs'][] = array(
            'text' => $this->language->get('heading_title_inner'),
            'href' => $this->url->link('module/etiqueta_frete_gratis', 'token=' . $this->session->data['token'], 'SSL')
        );

        $data['action'] = $this->url->link('module/etiqueta_frete_gratis', 'token=' . $this->session->data['token'], 'SSL');

        $data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');

        //RIBBON FREE
        if (isset($this->request->post['ribbon_free_status'])) {
            $data['ribbon_free_status'] = $this->request->post['ribbon_free_status'];
        } else {
            $data['ribbon_free_status'] = $this->config->get('ribbon_free_status');
        }

        if (isset($this->request->post['ribbon_free_background'])) {
            $data['ribbon_free_background'] = $this->request->post['ribbon_free_background'];
        } elseif($this->config->has('ribbon_free_background')) {
            $data['ribbon_free_background'] = $this->config->get('ribbon_free_background');
        } else {
            $data['ribbon_free_background'] = '#FA0A19';
        }

        if (isset($this->request->post['ribbon_free_text'])) {
            $data['ribbon_free_text'] = $this->request->post['ribbon_free_text'];
        } elseif($this->config->has('ribbon_free_text')) {
            $data['ribbon_free_text'] = $this->config->get('ribbon_free_text');
        } else {
            $data['ribbon_free_text'] = $this->language->get('text_ribbon_default');
        }

        if (isset($this->request->post['ribbon_free_color'])) {
            $data['ribbon_free_color'] = $this->request->post['ribbon_free_color'];
        } elseif($this->config->has('ribbon_free_color')) {
            $data['ribbon_free_color'] = $this->config->get('ribbon_free_color');
        } else {
            $data['ribbon_free_color'] = '#FFFFFF';
        }

        $data['header'] = $this->load->controller('common/header');
        $data['column_left'] = $this->load->controller('common/column_left');
        $data['footer'] = $this->load->controller('common/footer');

        $this->response->setOutput($this->load->view('module/etiqueta_frete_gratis.tpl', $data));
    }

    protected function validate() {
        if (!$this->user->hasPermission('modify', 'module/etiqueta_frete_gratis')) {
            $this->error['warning'] = $this->language->get('error_permission');
        }

        return !$this->error;
    }
}
?>